{% extends "base.html" %}

{% block content %}
<h1>Steam Profile Extractor</h1>
<form id="steam-profile-form">
    <label for="steam-id">Steam ID:</label>
    <input type="text" id="steam-id" name="steam_id" required>
    <button type="submit">Extract Profile</button>
</form>
<div class="results-wrapper">
    <div id="result-container"></div>
</div>
{% endblock %}

{% block script %}
<script src="/static/js/steam_profile.js"></script>
{% endblock %}